GDCM: gdcm::network::PresentationContextAC Class Reference

GDCM 3.2.5

Public Member Functions | List of all members
gdcm::network::PresentationContextAC Class Reference

PresentationContextAC. More...

`#include <gdcmPresentationContextAC.h>`

## Public Member Functions
| PresentationContextAC ()
uint8_t | GetPresentationContextID () const
uint8_t | GetReason () const
TransferSyntaxSub const & | GetTransferSyntax () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetPresentationContextID (uint8_t id)
void | SetReason (uint8_t r)
void | SetTransferSyntax (TransferSyntaxSub const &ts)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

PresentationContextAC.

Table 9-18 PRESENTATION CONTEXT ITEM FIELDS

See also
  PresentationContext

## Constructor & Destructor Documentation

## ◆ PresentationContextAC()

gdcm::network::PresentationContextAC::PresentationContextAC | ( |  | ) |

## Member Function Documentation

## ◆ GetPresentationContextID()

uint8_t gdcm::network::PresentationContextAC::GetPresentationContextID | ( |  | ) | const
| inline

## ◆ GetReason()

uint8_t gdcm::network::PresentationContextAC::GetReason | ( |  | ) | const
| inline

## ◆ GetTransferSyntax()

TransferSyntaxSub const & gdcm::network::PresentationContextAC::GetTransferSyntax | ( |  | ) | const
| inline

## ◆ Print()

void gdcm::network::PresentationContextAC::Print | ( | std::ostream & | os | ) | const

## ◆ Read()

std::istream & gdcm::network::PresentationContextAC::Read | ( | std::istream & | is | ) |

## ◆ SetPresentationContextID()

void gdcm::network::PresentationContextAC::SetPresentationContextID | ( | uint8_t | id | ) |

## ◆ SetReason()

void gdcm::network::PresentationContextAC::SetReason | ( | uint8_t | r | ) |
| inline

## ◆ SetTransferSyntax()

void gdcm::network::PresentationContextAC::SetTransferSyntax | ( | TransferSyntaxSub const & | ts | ) |

## ◆ Size()

size_t gdcm::network::PresentationContextAC::Size | ( |  | ) | const

## ◆ Write()

const std::ostream & gdcm::network::PresentationContextAC::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmPresentationContextAC.h